package com.engine.salary.config;

import com.engine.hrmelog.util.LoggerTemplate;
import com.engine.hrmelog.util.LoggerTemplateBuilder;

/**
 * elog日志
 * <p>Copyright: Copyright (c) 2023</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public class SalaryElogConfig {

    /**
     * 个税税率表
     *
     * @return
     */
    public final static LoggerTemplate taxRateLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "taxrate");

    /**
     * 薪资项目
     *
     * @return
     */
    public static LoggerTemplate salaryItemLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "salaryitem");

    /**
     * 个税扣缴义务人
     *
     * @return
     */
    public static LoggerTemplate taxAgentLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "taxagent");

    public static LoggerTemplate siCategoryLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "siCategory");

    public static LoggerTemplate siSchemeLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "siScheme");

    public static LoggerTemplate totalSchemeLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "totalScheme");

    /**
     * 累计情况
     *
     * @return
     */
    public static LoggerTemplate addUpSituationLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "addupsituation");

    /**
     * 累计专项附加扣除
     *
     * @return
     */
    public static LoggerTemplate addUpDeductionLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "addupdeduction");

    /**
     * 其他免税扣除
     *
     * @return
     */
    public static LoggerTemplate otherDeductionLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "otherdeduction");

    /**
     * 专项附加扣除
     *
     * @return
     */
    public static LoggerTemplate specialAddDeductionLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "specialAddDeduction");

    /**
     * 减税
     *
     * @return
     */
    public static LoggerTemplate derateDeductionLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "deratededuction");

    /**
     * 税延养老保险
     *
     * @return
     */
    public static LoggerTemplate endowmentInsuranceLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "endowmentinsurance");

    /**
     * 税延养老保险
     *
     * @return
     */
    public static LoggerTemplate freeIncomeLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "freeincome");

    /**
     * 捐赠免税
     *
     * @return
     */
    public static LoggerTemplate grantDonationLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "grantdonation");

    /**
     * 捐赠免税
     *
     * @return
     */
    public static LoggerTemplate healthInsuranceLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "healthinsurance");

    /**
     * 其他免税扣除
     *
     * @return
     */
    public static LoggerTemplate otherDerateDeductionLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "otherderatededuction");

    /**
     * 考勤引用
     *
     * @return
     */
    public static LoggerTemplate attendQuoteLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "attendquote");

    /**
     * 考勤引用字段管理
     *
     * @return
     */
    public static LoggerTemplate attendQuoteFieldLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "attendfield");

    /**
     * 考勤引用字段设置
     *
     * @return
     */
    public static LoggerTemplate attendQuoteFieldSettingLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "attendfieldset");

    /**
     * 薪资账套
     *
     * @return
     */
    public static LoggerTemplate salarySobLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "salarysob");

    /**
     * 薪资核算
     *
     * @return
     */
    public static LoggerTemplate salaryAcctRecordLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "acctrecord");
    /**
     * 个税申报表
     *
     * @return
     */
    public static LoggerTemplate taxDeclarationLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "taxdecla");

    /**
     * 福利档案
     *
     * @return
     */
    public static LoggerTemplate siArchivesLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "siarchives");

    /**
     * 社保规则
     */
    public static LoggerTemplate archiveRuleLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "archiverule");

    /**
     * 代缴机构
     *
     * @return
     */
    public static LoggerTemplate paymentAgencyLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "paymentagency");

    /**
     * 福利核算
     *
     * @return
     */
    public static LoggerTemplate siAccountLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "siaccount");

    /**
     * 工资单模板
     *
     * @return
     */
    public static LoggerTemplate salaryTemplateLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "salarytemplate");

    /**
     * 工资单发放
     *
     * @return
     */
    public static LoggerTemplate salarySendLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "salarysend");

    /**
     * 外部人员
     *
     * @return
     */
    public static LoggerTemplate extEmployeeLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "extemployee");

    /**
     * 薪资档案
     *
     * @return
     */
    public static LoggerTemplate salaryArchiveLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "salaryarchive");

    /**
     * 薪资档案-字段
     *
     * @return
     */
    public static LoggerTemplate salaryArchiveFieldLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "salarcfield");
    /**
     * 薪资档案-薪资项目调整
     *
     * @return
     */
    public static LoggerTemplate salaryArchiveItemAdjustLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "salarcitemadj");

    /**
     * 薪资档案-批量调薪
     *
     * @return
     */
    public static LoggerTemplate salaryArchiveBatchAdjustLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "salarcbatadj");

    /**
     * 自定义业务数据设置
     *
     * @return
     */
    public static LoggerTemplate customDataSetLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "customdataset");

    /**
     * 自定义业务数据
     *
     * @return
     */
    public static LoggerTemplate customDataLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "customdata");


    /**
     * 人员报送
     *
     * @return
     */
    public static LoggerTemplate employeeDeclareLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "empdeclare");

    /**
     * 单位扣款账号
     *
     * @return
     */
    public static LoggerTemplate withholdAccountLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "whaccount");

    /**
     * 银行报盘
     *
     * @return
     */
    public static LoggerTemplate bankOfferLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "bankoffer");

    /**
     * 银行报盘模板
     *
     * @return
     */
    public static LoggerTemplate bankOfferTemplateLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "botemplate");

    /**
     * 薪酬体系标准（岗薪制）
     *
     * @return
     */
    public static LoggerTemplate postSalaryLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "postsalary");

    /**
     * 银行报盘模板
     *
     * @return
     */
    public static LoggerTemplate taxFreeDetailLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "taxfreedetail");

    /**
     * 最优年终奖计税方案
     *
     * @return
     */
    public static LoggerTemplate annualBonusPlanLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "annualplan");

    /**
     * 最优年终奖计税方案-累计情况
     * 最优年终奖计税方案-优化方案详情
     *
     * @return
     */
    public static LoggerTemplate annualBonusLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "annualbonus");

    /**
     * 我的工资单
     *
     * @return
     */
    public static LoggerTemplate mySalaryBillLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "mysalarybill");

    /**
     * 我的调薪记录
     *
     * @return
     */
    public static LoggerTemplate myAdjustRecordLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "myadjustrecord");

    /**
     * 薪酬报表
     *
     * @return
     */
    public static LoggerTemplate salaryStatReportLoggerTemplate = LoggerTemplateBuilder.build("hrsa", "statreport");
}
